<?php
declare(strict_types=1);

namespace Strig\Image;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * The configuration provider for the App module
 *
 * @see https://docs.Laminasframework.com/Laminas-component-installer/
 */
class ConfigProvider
{
    /**
     * Returns the configuration array
     *
     * To add a bit of a structure, each section is defined in a separate
     * method which returns an array with its configuration.
     *
     */
    public function __invoke(): array
    {

        return (new ConfigAggregator([
            new PhpFileProvider(__DIR__ . '/../config/*.config.php')
        ]))->getMergedConfig();
    }
}
